GNU bug report logs - #61069
30.0.50; comint-copy-old-input should include continuation lines

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Bob Rogers <rogers@HIDDEN>; Keywords: fixed; Done: Robert Pluim <rpluim@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 30.1, send any further explanations to 61069 <at> debbugs.gnu.org and Bob Rogers <rogers@HIDDEN> Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Robert Pluim <rpluim@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Mar 2023 13:23:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 09:23:28 2023
Received: from localhost ([127.0.0.1]:60757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1piEj1-00012H-TA
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2023 09:23:28 -0400
Received: from mail-wr1-f51.google.com ([209.85.221.51]:43917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>)
 id 1piEiz-00011z-V2; Fri, 31 Mar 2023 09:23:26 -0400
Received: by mail-wr1-f51.google.com with SMTP id l12so22353881wrm.10;
 Fri, 31 Mar 2023 06:23:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20210112; t=1680269000;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=omnQdBINJu0uE/DOAJECJuWW65Xm8u+8Ysz9tSdreTw=;
 b=q1jkZfbq5xRYsng+c500opEHORVldWlWf8lpkyyVnYd1HLFk9+O08b9mEQvJAlao2O
 nZgpiUszYchZjOAhm9BFSKnRTzyzZ0GjedttkdHx2ucPXq/03H/6zPxr16OMQ7twHtUj
 88iXuxwP0zV6RfOTRQhIoId6bOxEUNwjkPoYpY/DjkHIj9k5yUUgMMC2ELihCeEYnq35
 mDHdvsGHe/wWpaW03GsW+V3QxdAU8Aq0L+vzHVXSvHW/3cN2kYnqUz0WB+14ey0XhrlY
 p+YxXdVPqTrMmRBBNuwn5dgmuWu7ocDcgJQGepm6dxcIjBVjtNUramj+hF4JPvGzP8eR
 AJ8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112; t=1680269000;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=omnQdBINJu0uE/DOAJECJuWW65Xm8u+8Ysz9tSdreTw=;
 b=vXtgoIGzBkbl3ivbZ04xCLzK57/fdO50OWVMhzPYPJHC5aoaIgmsntU7SJYfVqjVnK
 3X0iICR2+Tu5PYjmNrWzUtmZ34usxAZ23kr1w7Qkb9oNOdK6433bP8fPtmRw/G62L/hE
 LejDjdEPID/QBNdDriPaM92tfEYWBs/D28uEVfiDDc9fEcrGFCi0llphxgJMxt1xT7VS
 lnv/WNrAQzidFn0pyx7AuCWGs+hcwK4GUgNcIB0z5umsWIQwQOi3HF7iRJuwoCy4RGr9
 5ydIRVlnXyGBFYlFL9VW5vL9b5WHIfutnfvEla70NWXUDpEfXzIidi0sgrR2M4gIS50Q
 szKA==
X-Gm-Message-State: AAQBX9dRT7HT02etHWms22F0OtFsSq3MKnNpQBT6dHpCSU+SXCUnqlQP
 wMxH3qMIdenFsnTUkt8rQWQKWhD7GBI=
X-Google-Smtp-Source: AKy350YiJa2xQhaDKY6226oP3oYL8xbcXdg5YZswanUUEvu9UDIYIwMKHaC0KCoF5SwEwEGwh2GPSw==
X-Received: by 2002:adf:ff89:0:b0:2cf:e957:644b with SMTP id
 j9-20020adfff89000000b002cfe957644bmr7262741wrr.27.1680268999754; 
 Fri, 31 Mar 2023 06:23:19 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 c13-20020adffb0d000000b002e5e7ee11besm1768593wrr.94.2023.03.31.06.23.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 31 Mar 2023 06:23:19 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <87v8ihjcqr.fsf@HIDDEN> (Robert Pluim's message of "Fri, 31
 Mar 2023 15:01:48 +0200")
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN> <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN> <87v8knvzld.fsf@HIDDEN>
 <25561.28646.107695.153190@HIDDEN>
 <25637.59481.238008.549423@HIDDEN> <874jq1l4yb.fsf@HIDDEN>
 <83fs9l2nye.fsf@HIDDEN> <87v8ihjcqr.fsf@HIDDEN>
Date: Fri, 31 Mar 2023 15:23:18 +0200
Message-ID: <87r0t5jbqx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, rogers@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

tags 61069 fixed
close 61069 30.1
quit

>>>>> On Fri, 31 Mar 2023 15:01:48 +0200, Robert Pluim <rpluim@HIDDEN> said:

    Eli> seems to refer to a symbol that doesn't exist?

    Robert> Yes. I fixed that in my local copy already :-)


Closing.
Committed as 6f496105e39

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Mar 2023 13:02:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 09:02:02 2023
Received: from localhost ([127.0.0.1]:60715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1piEOH-0000U4-Kw
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2023 09:02:02 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:37801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1piEOC-0000Tj-67
 for 61069 <at> debbugs.gnu.org; Fri, 31 Mar 2023 09:01:59 -0400
Received: by mail-wm1-f42.google.com with SMTP id
 n10-20020a05600c4f8a00b003ee93d2c914so14933622wmq.2
 for <61069 <at> debbugs.gnu.org>; Fri, 31 Mar 2023 06:01:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20210112; t=1680267710;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=8JjrypaahS0+v3OgioU5jPgr+/ON+vLMB0EgybvDWjE=;
 b=g2hdf1ApZkGErSkcPSG1H8OWfRJZLI5CVP0jU85G4lD/4HJpzDg+d0zOIqwNqW9eDG
 wBIFr7dJG2sNzR7wqN2sBX4sO4LQGdoiF1bs1wvA8W92AzGqZpJIMmqaXQbfEMxcubW7
 S5pEp+7HbN3tFPQqeQ/65+JAYR03gb1SoUhFEJ2lIwiYr7GC/DXnvtXao+V4Gn5f1rBo
 K+b8hGiQvlrBDTI0bVDtsabEHiEgJ8k1ATsS7k0L2LqQjatwKEdHHACf/iRMn/jxPzZh
 ISr9VvGYkGySB9g09gKEUhL5HjFGiYuA2mBJMWgYyJpbSv4Dq//4htQcIR+449zDxqZL
 Ox4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112; t=1680267710;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=8JjrypaahS0+v3OgioU5jPgr+/ON+vLMB0EgybvDWjE=;
 b=7biJHDCLAwwaU4K8lLuuRiKNAYZ5XzcejbgKippUR0Fo+4DaC3wq5DvvWFmSJyFCVj
 JEAsKYtKQ3YmvHvoRP63b5IhE6WL73Y9JHj59usPmyFt8cG2nCz+AHoNt05rwoKuJBZE
 HfBiQxU5qufB9U0Vw5XLFrJS7BDzKi7fVQYY850tOnce9SrQ97/niEUI0ksJH9V3lE+N
 mkqBVvSq65ryFGqYb31j4xbKNCwMEyWO2hufQzjej1lwD8sNd6+BxMrXlCnTf0uWBaRz
 ai9zpzJwrNcZrf1TjLW0P7+Al+JVdJK/vKAaUv62YcMwQ09XV52TOKVdi37Ct0KYIC5e
 FE1w==
X-Gm-Message-State: AO0yUKV9xnql/R0DB5EqvAlV5gAeZHKkfxIJ+5mxsZQXSksrFAa4dDor
 zdSFNX7aXDoUPW/F6A3ez0IagJ6hfrk=
X-Google-Smtp-Source: AK7set+AMtAdwN7tw+b48fcNwr26qJl0KpOx5wVXIYpiDmEny89kpvU/dHkI/fAAos9Ka1n4Bl5aIQ==
X-Received: by 2002:a05:600c:b54:b0:3ee:36f:3485 with SMTP id
 k20-20020a05600c0b5400b003ee036f3485mr20685290wmr.8.1680267709719; 
 Fri, 31 Mar 2023 06:01:49 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 q3-20020a1ce903000000b003ed2987690dsm2653258wmc.26.2023.03.31.06.01.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 31 Mar 2023 06:01:49 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <83fs9l2nye.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 31 Mar
 2023 13:51:37 +0300")
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN> <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN> <87v8knvzld.fsf@HIDDEN>
 <25561.28646.107695.153190@HIDDEN>
 <25637.59481.238008.549423@HIDDEN> <874jq1l4yb.fsf@HIDDEN>
 <83fs9l2nye.fsf@HIDDEN>
Date: Fri, 31 Mar 2023 15:01:48 +0200
Message-ID: <87v8ihjcqr.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, rogers@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 31 Mar 2023 13:51:37 +0300, Eli Zaretskii <eliz@HIDDEN> said:

    >> From: Robert Pluim <rpluim@HIDDEN>
    >> Cc: Eli Zaretskii <eliz@HIDDEN>,  61069 <at> debbugs.gnu.org
    >> Date: Fri, 31 Mar 2023 10:07:08 +0200
    >>=20
    >> >>>>> On Thu, 30 Mar 2023 12:51:53 -0700, Bob Rogers <rogers@HIDDEN=
om> said:
    >>=20
    Bob> Ping?
    >>=20
    Bob> -- Bob
    >>=20
    >> Sorry, I didn=CA=BCt realize you were waiting on us. Eli, I can comm=
it this
    >> to master later today.

    Eli> Thanks, please do.  However, this:

    >> +(defcustom shell-get-old-input-include-continuation-lines nil
    >> +  "Whether `shell-get-old-input-default' includes \"\\\" lines."

    Eli> seems to refer to a symbol that doesn't exist?

Yes. I fixed that in my local copy already :-)

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Mar 2023 10:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 06:51:49 2023
Received: from localhost ([127.0.0.1]:60458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1piCMG-0002Ou-UM
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2023 06:51:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39482)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1piCMC-0002Ob-0G
 for 61069 <at> debbugs.gnu.org; Fri, 31 Mar 2023 06:51:47 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1piCM6-0007zr-DL; Fri, 31 Mar 2023 06:51:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=5ARob6TKDyPRlXRjSXCzrikNKh1ihAzYyqFCexxvJY4=; b=Rv1QGmp/qv4UFcO25wJ6
 jcfbb8vl/lkIQboXXxgre9YLvdK2F7ex3Sc5ftMyvQxHSgXFTxHRr0kfgCau57l3h4KpSh1hLSYgt
 C7wjAr4t7uhY0e16H+AypCg8VkzUUvWKhJZl3YYqwm+WYJEu+0QaBK4kFr8mpXrzXTDCXpoiUm11X
 dm0nXbGRorcBCSEibgMJyB6/nYP6HyYAtP0veWzLN/e9MrQNrSD0s3sa04PJuF5pCXT/nkuD89VWY
 qUbR4qj/z0xRpJiWLci/9PX5B6uo5YxsLilAIfhF2erqT1bvEZ3hJialk0q9/GPuK/Pv2P1YhcCGv
 UBzwpyG11OLVsQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1piCLs-00064p-PO; Fri, 31 Mar 2023 06:51:37 -0400
Date: Fri, 31 Mar 2023 13:51:37 +0300
Message-Id: <83fs9l2nye.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Robert Pluim <rpluim@HIDDEN>
In-Reply-To: <874jq1l4yb.fsf@HIDDEN> (message from Robert Pluim on Fri, 31
 Mar 2023 10:07:08 +0200)
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN> <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN> <87v8knvzld.fsf@HIDDEN>
 <25561.28646.107695.153190@HIDDEN>
 <25637.59481.238008.549423@HIDDEN> <874jq1l4yb.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, rogers@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Robert Pluim <rpluim@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  61069 <at> debbugs.gnu.org
> Date: Fri, 31 Mar 2023 10:07:08 +0200
> 
> >>>>> On Thu, 30 Mar 2023 12:51:53 -0700, Bob Rogers <rogers@HIDDEN> said:
> 
>     Bob> Ping?
> 
>     Bob> 					-- Bob
> 
> Sorry, I didn╩╝t realize you were waiting on us. Eli, I can commit this
> to master later today.

Thanks, please do.  However, this:

> +(defcustom shell-get-old-input-include-continuation-lines nil
> +  "Whether `shell-get-old-input-default' includes \"\\\" lines."

seems to refer to a symbol that doesn't exist?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Mar 2023 08:07:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 31 04:07:18 2023
Received: from localhost ([127.0.0.1]:60317 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pi9n3-0005bk-TJ
	for submit <at> debbugs.gnu.org; Fri, 31 Mar 2023 04:07:18 -0400
Received: from mail-wm1-f47.google.com ([209.85.128.47]:52856)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1pi9n1-0005bW-Nb
 for 61069 <at> debbugs.gnu.org; Fri, 31 Mar 2023 04:07:16 -0400
Received: by mail-wm1-f47.google.com with SMTP id l37so12375323wms.2
 for <61069 <at> debbugs.gnu.org>; Fri, 31 Mar 2023 01:07:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20210112; t=1680250029;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=RUanoEd2J7/XGuo0ptDW5cNracQ35iM+g2kRc5Swpjw=;
 b=INp8ScrA7fSwIo6e/325IhEQJ5Y137JLIJ1oez+fFkWEHDvJtiseGAY1w1SmVX78I/
 +ig9NcLFNs6vKMoajfGJzHDT/PGBRIQjjy1gja5DUUWucW9cQcIDI58E/t2Fs9+oq2xq
 DLrEqySyc59Mql4fTFgqmOJWohbIxhX+EcuMoNGoHuzu500e8ltmfBEWHY3cPbMaKvYr
 ryhzX6a84wXx02C5OusVBeiNyrUaixoCcIiieo96zQgzUdtk6u0ih7AmdkRv9Hm/Iitq
 Yw1YWiyivRKU0YroT51lGDYFVJ89ahJjEpicvwhaQ9gLdCV7xUCsj1S5F68YypO+vnzW
 x7Pw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112; t=1680250029;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=RUanoEd2J7/XGuo0ptDW5cNracQ35iM+g2kRc5Swpjw=;
 b=7vUvvYj6tZ3Uzoui1kAgJ0qGv6OgewwUIOdjb3h2pRmls9db6YBFObN0T+KURzwW/l
 +R0BjJdfOXvKpbIGJMk7RqEnAxco94lm5lCyQC8V/zS7bEPGk+Ibrp4Qox3juX+zBiAE
 /iHjEp0VyIsOHOjZqREnPkHDmkB1dK7duhuBs1bxCKxAzcD33Vf8i1yR8UsbpIVD1NiV
 fu9Zp+r/6GzakOWd/xInf9ZFq7evx0OYu7eGbaOO6ziLrrna4nY0fZKgTi3eZIga6617
 EMVWVtVNuUgkViiGSw4ETfyiV1lE/V0FCN2yK+dQcyVwe9dy3f05gcuUNmY0jeGojVBs
 M2KA==
X-Gm-Message-State: AAQBX9cWRNBlNmyPT6vB1HYsxcfNQdKPOVDuT0EfROu5qRo9HNa1bOu9
 k5kWNY2qubAqfma8riUa7AOViwffiwo=
X-Google-Smtp-Source: AKy350aXfZmeN83njPzjhmLoexA3jDZwy8HUlvgYn/mOip4MTkIfUx9x0vW6vafhWNbcqgOkhimZxQ==
X-Received: by 2002:a1c:6a07:0:b0:3f0:310c:e3cf with SMTP id
 f7-20020a1c6a07000000b003f0310ce3cfmr5456376wmc.37.1680250029218; 
 Fri, 31 Mar 2023 01:07:09 -0700 (PDT)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 v8-20020a05600c470800b003ef71d7d64asm9096832wmo.6.2023.03.31.01.07.08
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 31 Mar 2023 01:07:08 -0700 (PDT)
From: Robert Pluim <rpluim@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <25637.59481.238008.549423@HIDDEN> (Bob Rogers's message
 of "Thu, 30 Mar 2023 12:51:53 -0700")
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN> <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN> <87v8knvzld.fsf@HIDDEN>
 <25561.28646.107695.153190@HIDDEN>
 <25637.59481.238008.549423@HIDDEN>
Date: Fri, 31 Mar 2023 10:07:08 +0200
Message-ID: <874jq1l4yb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Thu, 30 Mar 2023 12:51:53 -0700, Bob Rogers <rogers@HIDDEN> sai=
d:

    Bob> Ping?

    Bob> 					-- Bob

Sorry, I didn=CA=BCt realize you were waiting on us. Eli, I can commit this
to master later today.

Thanks

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 30 Mar 2023 19:52:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 30 15:52:04 2023
Received: from localhost ([127.0.0.1]:59466 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1phyJX-0003Q3-QK
	for submit <at> debbugs.gnu.org; Thu, 30 Mar 2023 15:52:04 -0400
Received: from mail-pf1-f174.google.com ([209.85.210.174]:37709)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1phyJV-0003PY-Ka
 for 61069 <at> debbugs.gnu.org; Thu, 30 Mar 2023 15:52:02 -0400
Received: by mail-pf1-f174.google.com with SMTP id z11so13362234pfh.4
 for <61069 <at> debbugs.gnu.org>; Thu, 30 Mar 2023 12:52:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112; t=1680205916;
 h=references:in-reply-to:subject:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=7ka70po6YjSKB4TpOPHFtt54K9aMD64wSDWiFezO+ys=;
 b=T9SJHLB2Pa0YMwj9Ff6fiBcDd4hQuIjMyWPaRRkR+ZXn4IQwf1JGukTza+B2B4IZs6
 5LaSPLOskfWj5H/81aPeS6jpSLWl1lC+aOf0DvIwHdu1D4ogemkPQLyNYTieTgZW8XBI
 YUGQH5ldqS6ckfAZbrEMt1xGWUKyTNfVgsonUs2QVgiZKD5Dp8oDy8tqskZrnhu6vQ4v
 WDck53x++9E3jkPNempR3tjnMemopMMjNLr0iKa6CgomZefgkC9Lfdo004tYw/3IK2GV
 RNeaTTjP+H0uWy5ReVoPC6zqRafPFUOTeFBlJXR4F+tEaYctswmx+Ya0edJ1IHezUCb6
 njkQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112; t=1680205916;
 h=references:in-reply-to:subject:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=7ka70po6YjSKB4TpOPHFtt54K9aMD64wSDWiFezO+ys=;
 b=pqAdqK+nCnqFy9DldNf7acKazsS18NmJtwB64RAt7Bn/CYT3ndmGzf5szeYjHNx6J0
 sJUqUaXDoP+QxY/z++kWUIJpZJOJ9K/TYJ3bApWiWapmTRANGupUSECAyK3RaK34D8pG
 31SDfQhLu5CrakkenXF3mO2lSxZkBB/SIvHx2hCqGcedNBNSWhHtsWQmg3TkWmxOBAQA
 Omu0DH3tPchWFWfGY0ZM2KOTrraxWMgzg3aIyEycylXhpVW7RhDIVdxTJWw9a5W9oBma
 1FsrgW7UR8xDJXgCN5Iv3su9r9Ff39bdiGfs/8vwZcpg6noAn1h59jYvLXUJOZBKkX2x
 srUA==
X-Gm-Message-State: AAQBX9eZOnZVQQrqttlW5/9v7OvZ+QP9GuRmSAFQNClkOTauVGv3ED2u
 gWIhD9tnnbofsLAcT4JusT4ELw==
X-Google-Smtp-Source: AKy350ZDRHBJRyiHLiLquu5lABhaDaH1uwiz233N7T2rO0QqUCcCfdklusu49R8/4uq4DtLI8Xoa9w==
X-Received: by 2002:aa7:96b0:0:b0:626:24b2:cd6c with SMTP id
 g16-20020aa796b0000000b0062624b2cd6cmr25765649pfk.7.1680205915556; 
 Thu, 30 Mar 2023 12:51:55 -0700 (PDT)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 d22-20020aa78156000000b00627fea66a4asm273857pfn.39.2023.03.30.12.51.54
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 30 Mar 2023 12:51:54 -0700 (PDT)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <25637.59481.238008.549423@HIDDEN>
Date: Thu, 30 Mar 2023 12:51:53 -0700
To: Robert Pluim <rpluim@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 61069 <at> debbugs.gnu.org
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <25561.28646.107695.153190@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN>
 <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN>
 <87v8knvzld.fsf@HIDDEN>
 <25561.28646.107695.153190@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

   From: Bob Rogers <rogers@HIDDEN>
   Date: Tue, 31 Jan 2023 11:45:42 -0800

      From: Robert Pluim <rpluim@HIDDEN>
      Date: Tue, 31 Jan 2023 10:10:38 +0100

      . . .

      3 nits below

      Robert
      -- 

   All good nits.

Ping?

					-- Bob




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Jan 2023 19:45:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 14:45:53 2023
Received: from localhost ([127.0.0.1]:55086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMwZl-00019R-1A
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2023 14:45:53 -0500
Received: from mail-oo1-f54.google.com ([209.85.161.54]:38451)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pMwZi-00018w-Fe
 for 61069 <at> debbugs.gnu.org; Tue, 31 Jan 2023 14:45:51 -0500
Received: by mail-oo1-f54.google.com with SMTP id
 t24-20020a4a8258000000b005170b789faaso1230160oog.5
 for <61069 <at> debbugs.gnu.org>; Tue, 31 Jan 2023 11:45:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=YrIuEoTtHmca7CWKiUBaONT8NyoNL8uNyC74VBLefRQ=;
 b=pL2FXD082cUTvr4w6VfCBK+3xXc6R3R42YJKkaCc+D0PdhCROJPH6w4JiwR9qsnMeK
 LE46ksQlLRuEBjCoDt9DKvVjRciPkmnobUQOiht+GDhqPYlCCvzYr7WnL4WPOkG5Yur1
 NS8izI9QLssSZk0zB/iUcsBjbsASlHfPg3O2vsg6LEY1bOSw0OpiscaKC+O9YMl3fo5i
 ymFk3n/3SCGuDzKXOY6Mdc0Xp6wd2tTWBwdoCtAZsI56oMJLVNrtDxK3sht6FiQT5lUm
 vDEXVFCBpUDLhWnPu+NsvHBamJQyV8Y9irgP+Ld4BGRUmj6dtcntytl1mZrEWwJh8U0V
 OhMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=YrIuEoTtHmca7CWKiUBaONT8NyoNL8uNyC74VBLefRQ=;
 b=pAfLU9qtE9+tjibeX66u7loFtOVDyzyWnEujst5EXr0CGn8PpEI0nna3AsOvvZmrVp
 YAQMQwTWYuSkSLbtVtvyLcohO72Ju4vU5El95pkD/1nEewDKuUMB8YoRRHUQosnKZ7kN
 I3QIZwtEGi2R621EqOAitK4MvCtF7AcIZICEp/8Fe2HlHdLKuBZBP5eM/+PUZrzBdFIw
 cxuD71azS6HwMlxAIutLOT3I2mMfTdJQZ3HtCZCfcVU7nND5mj/t6iZ2+d9G5PxNUVpg
 3nOrLoiR+hgoJ1CwHposJWinPGRgXoBEuLkr13CutyFGqlAqvK8iT2fag18vRYu3pyGm
 4v2w==
X-Gm-Message-State: AO0yUKVQsLlIYTPBICfy2bnnUr8IreB7Z4lEWXHAkV1Ls+oW70ASrfLp
 IjO5nBWBcFCFSuMj93YP1sgoNg==
X-Google-Smtp-Source: AK7set/8mOsy8xhX7hTLki5DVexpftxKliOPvIFlYzR1pBK7d+w2IhAjcvbWT4QEbKctKTz8bVBARQ==
X-Received: by 2002:a05:6820:3c1:b0:517:8369:23e4 with SMTP id
 s1-20020a05682003c100b00517836923e4mr21865ooj.0.1675194344657; 
 Tue, 31 Jan 2023 11:45:44 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 o22-20020a4ae596000000b004f269f9b8f3sm6466825oov.25.2023.01.31.11.45.42
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 31 Jan 2023 11:45:43 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	 boundary="Un7K/jlQaP"
Content-Transfer-Encoding: 7bit
Message-ID: <25561.28646.107695.153190@HIDDEN>
Date: Tue, 31 Jan 2023 11:45:42 -0800
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <87v8knvzld.fsf@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN>
 <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN>
 <87v8knvzld.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


--Un7K/jlQaP
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit

   From: Robert Pluim <rpluim@HIDDEN>
   Date: Tue, 31 Jan 2023 10:10:38 +0100

   >>>>> On Mon, 30 Jan 2023 18:38:46 -0800, Bob Rogers <rogers@HIDDEN> said:

       Bob>    From: Bob Rogers <rogers@HIDDEN>
       Bob>    Date: Mon, 30 Jan 2023 13:05:42 -0800

       Bob> Oops; try this instead (forgot the NEWS item).

       Bob> 					-- Bob

   3 nits below

   . . .

   Robert
   -- 

All good nits.

					-- Bob


--Un7K/jlQaP
Content-Type: text/x-patch;
	 name="shell-get-old-input-continuation-lines-4.patch"
Content-Description: 
Content-Disposition: inline;
	 filename="shell-get-old-input-continuation-lines-4.patch"
Content-Transfer-Encoding: 7bit

* lisp/shell.el (shell-get-old-input-include-continuation-lines): New
defcustom (default nil).
(shell-get-old-input): Like comint-get-old-input-default but include
all continuation lines if the above is true.
(shell-mode): Install shell-get-old-input.  (bug#61069)
* etc/NEWS: Advertise the new defcustom.

diff --git a/etc/NEWS b/etc/NEWS
index 5b8ab06086c..28cec94bea0 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -163,6 +163,14 @@ this to your configuration:
 After manually editing 'eshell-aliases-file', you can use this command
 to load the edited aliases.
 
+** Shell Mode
+
++++
+*** New variable 'shell-get-old-input-include-continuation-lines'.
+Users can set this user option to tell shell-get-old-input (C-RET) to
+include multiple shell "\" continuation lines from command output.
+Default is nil.
+
 ** Prog Mode
 
 +++
diff --git a/lisp/shell.el b/lisp/shell.el
index 5cf108bfa3b..7e0cdce86ed 100644
--- a/lisp/shell.el
+++ b/lisp/shell.el
@@ -366,6 +366,12 @@ shell-has-auto-cd
   :group 'shell-directories
   :version "28.1")
 
+(defcustom shell-get-old-input-include-continuation-lines nil
+  "Whether `shell-get-old-input-default' includes \"\\\" lines."
+  :type 'boolean
+  :group 'shell
+  :version "30.1")
+
 (defcustom shell-kill-buffer-on-exit nil
   "Kill a shell buffer after the shell process terminates."
   :type 'boolean
@@ -506,6 +512,38 @@ shell--parse-pcomplete-arguments
           (push (mapconcat #'identity (nreverse arg) "") args)))
       (cons (nreverse args) (nreverse begins)))))
 
+(defun shell-get-old-input ()
+  "Default for `comint-get-old-input' in shell-mode.
+If `comint-use-prompt-regexp' is nil, then either
+return the current input field, if point is on an input field, or the
+current line, if point is on an output field.
+If `comint-use-prompt-regexp' is non-nil, then return
+the current line with any initial string matching the regexp
+`comint-prompt-regexp' removed.  In either case, if
+shell-get-old-input-include-continuation-lines is non-nil and the
+current line ends with a backslash, the next line is also included and
+examined for a backslash, ending with a final line without a backslash."
+  (let (field-prop bof)
+    (if (and (not comint-use-prompt-regexp)
+             ;; Make sure we're in an input rather than output field.
+             (not (setq field-prop (get-char-property
+                                    (setq bof (field-beginning)) 'field))))
+        (field-string-no-properties bof)
+      (comint-bol)
+      (let ((start (point)))
+        (cond ((or comint-use-prompt-regexp
+                   (eq field-prop 'output))
+               (goto-char (line-end-position))
+               (when shell-get-old-input-include-continuation-lines
+                 ;; Include continuation lines as long as the current
+                 ;; line ends with a backslash.
+                 (while (and (not (eobp))
+                             (= (char-before) ?\\))
+                   (goto-char (line-end-position 2)))))
+              (t
+               (goto-char (field-end))))
+        (buffer-substring-no-properties start (point))))))
+
 ;;;###autoload
 (defun split-string-shell-command (string)
   "Split STRING (a shell command) into a list of strings.
@@ -642,6 +680,7 @@ shell-mode
   (setq-local font-lock-defaults '(shell-font-lock-keywords t))
   (setq-local shell-dirstack nil)
   (setq-local shell-last-dir nil)
+  (setq-local comint-get-old-input #'shell-get-old-input)
   ;; People expect Shell mode to keep the last line of output at
   ;; window bottom.
   (setq-local scroll-conservatively 101)

--Un7K/jlQaP--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Jan 2023 09:10:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 04:10:48 2023
Received: from localhost ([127.0.0.1]:51541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMmfA-0001E1-H4
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2023 04:10:48 -0500
Received: from mail-wr1-f50.google.com ([209.85.221.50]:39722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1pMmf8-0001Df-J2
 for 61069 <at> debbugs.gnu.org; Tue, 31 Jan 2023 04:10:47 -0500
Received: by mail-wr1-f50.google.com with SMTP id a3so6829218wrt.6
 for <61069 <at> debbugs.gnu.org>; Tue, 31 Jan 2023 01:10:46 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:from:to:cc:subject:date:message-id
 :reply-to; bh=CItPVpMZ+VpRspT9lwOmlqQZdqXTyO2mpW6N1IabL1w=;
 b=dFnFbxuvcQx309Hh4FmIL4FXAUKJqIcpIYasjIeIwAocNa8HeozAQOS8NcLjoa3N93
 S+3q6bRNQ1+/hzwXna5eEtKwXfvQEebbWOwbxIxHKGZjSsssD7Aky4s23lCT0cHQvwbu
 Le5T9UQcEjK0kYp31O0dXNFzuX0ps64EE4R8ETqWbxvT7UU58XaTaNe4UkgJJaHtZhqD
 sqIAsAjEq/AF4rzsym2ulFkXy0sCdSwywdLnlFLNs9e6gpZ3fLy2W80IypW61eseyRJj
 XWxXMNFfGDnFOIsIf1BARgoIM9n0RBoLqHKhiK/m2PKSuisYc7fjQufhuEU5QYsLZAWO
 kbfw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:message-id:date:references
 :in-reply-to:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=CItPVpMZ+VpRspT9lwOmlqQZdqXTyO2mpW6N1IabL1w=;
 b=5yZXkkc7DyT3xm2fpJeIJoiYNXYPlqifcrGlrTawsGJOj9SuvG7eVul7vHg1OIDPv/
 98R3Krec8S6PTsw9qz/j62KevJs0U79tKvp6IOmaOmK4siuucPviSTfcyvLHVey1dfrk
 7xhX5RC8lJwQADyOUyi0pR6U4lFmAqw2HrQ4Vgc23sPSruT7JdFcKCebL/4RjC95LoXr
 cJDQ1lrxJmyTSBG3BbgajhHaNtb3PC2eFN3JUgucbS0cH++kKqx0XOKh+qpAewCWaz1Y
 OGrAAtWb9P3AR/XG4Vxo9L76NwlMD24z/GYfy4BB489YVUPocDoME46cegr46X9shC63
 r26A==
X-Gm-Message-State: AO0yUKUs2MMWS6DgERnauA0t6CC1Ng6i6o3UZvBBgZphhNizDVP2VA8S
 R22XaOgO+dpSTYX09ubNJirSTLe3G5c=
X-Google-Smtp-Source: AK7set98pMo1OLxoc+wgoe7Ky3R2Z4vEnds6f4H/KkZZGYwfeg1P6zmnZdITaToBalyZMgBnOmioCg==
X-Received: by 2002:adf:f907:0:b0:2bf:c31b:1922 with SMTP id
 b7-20020adff907000000b002bfc31b1922mr14402840wrr.3.1675156239949; 
 Tue, 31 Jan 2023 01:10:39 -0800 (PST)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 k7-20020adfb347000000b002bfe5efca78sm7327867wrd.98.2023.01.31.01.10.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 31 Jan 2023 01:10:39 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <25560.32566.881643.236038@HIDDEN> (Bob Rogers's message
 of "Mon, 30 Jan 2023 18:38:46 -0800")
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN> <25560.12582.576156.155902@HIDDEN>
 <25560.32566.881643.236038@HIDDEN>
Date: Tue, 31 Jan 2023 10:10:38 +0100
Message-ID: <87v8knvzld.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Mon, 30 Jan 2023 18:38:46 -0800, Bob Rogers <rogers@HIDDEN> sai=
d:

    Bob>    From: Bob Rogers <rogers@HIDDEN>
    Bob>    Date: Mon, 30 Jan 2023 13:05:42 -0800

    Bob> Oops; try this instead (forgot the NEWS item).

    Bob> 					-- Bob

3 nits below

    Bob> * lisp/shell.el (shell-get-old-input-include-continuation-lines): =
New
    Bob> defcustom (default nil).

I normally say what the default is in the NEWS entry

    Bob> (shell-get-old-input): Like comint-get-old-input-default but inclu=
de
    Bob> all continuation lines if the above is true.
    Bob> (shell-mode): Install shell-get-old-input.  (bug#61069)
    Bob> * etc/NEWS: Advertise the new defcustom.

    Bob> diff --git a/etc/NEWS b/etc/NEWS
    Bob> index 5b8ab06086c..46f0e8bffca 100644
    Bob> --- a/etc/NEWS
    Bob> +++ b/etc/NEWS
    Bob> @@ -163,6 +163,13 @@ this to your configuration:
    Bob>  After manually editing 'eshell-aliases-file', you can use this co=
mmand
    Bob>  to load the edited aliases.
=20
    Bob> +** Shell Mode
    Bob> +
    Bob> ++++
    Bob> +*** New variable 'shell-get-old-input-include-continuation-lines'.
    Bob> +Users can set this variable to tell shell-get-old-input (C-RET) to
    Bob> +include multiple shell "\" continuation lines from command output.
    Bob> +

We call defcustom=CA=BCd variables 'user option', not 'variable'

    Bob>  ** Prog Mode
=20
    Bob>  +++
    Bob> diff --git a/lisp/shell.el b/lisp/shell.el
    Bob> index 5cf108bfa3b..31fb98c0176 100644
    Bob> --- a/lisp/shell.el
    Bob> +++ b/lisp/shell.el
    Bob> @@ -366,6 +366,12 @@ shell-has-auto-cd
    Bob>    :group 'shell-directories
    Bob>    :version "28.1")
=20
    Bob> +(defcustom shell-get-old-input-include-continuation-lines nil
    Bob> +  "Whether shell-get-old-input-default includes \"\\\"
    Bob> lines."

If you say `shell-get-old-input-default', then that becomes a link
which users can follow

Robert
--=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 31 Jan 2023 02:38:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 21:38:56 2023
Received: from localhost ([127.0.0.1]:51043 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMgXv-0007Fu-ND
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2023 21:38:56 -0500
Received: from mail-oa1-f52.google.com ([209.85.160.52]:35441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pMgXu-0007Fi-EM
 for 61069 <at> debbugs.gnu.org; Mon, 30 Jan 2023 21:38:54 -0500
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-15085b8a2f7so17738534fac.2
 for <61069 <at> debbugs.gnu.org>; Mon, 30 Jan 2023 18:38:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=HQM0tbn93sgHXnOIjOtoOokws7kxBMPLBDAb4ukCUw0=;
 b=r3yn8/NLgFOHr+G3Bdn3B9lzydsnEMCwFg7NweV1rJq/C1UXb/9KG3yCxq4R9YRkuT
 sZdHCTvz/0XdU5W9t1+bMPiQchngERVBc8t8B2uHk6okwJxd5zkhwgrQU6qt3G9KxCWr
 SWOCEYGR2pmr+d9iI6FpKCO64fc+F5K+gI3ULxDj0czDlvDxuwEDp+IUjJIGh2sUUu2Y
 KWPPl9t73gCcpnrzqVMLZV55fW9KZgJlffrHMiai2KnwWnaeu75jF1ZCeCng+pDjZbMh
 4US3gFe4cEicTfdA8Mo+Kg2gnN/py3kA757PZ4zxwpkFx529XGx7ao+RJ8kVDGjMkpCO
 RKhA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=HQM0tbn93sgHXnOIjOtoOokws7kxBMPLBDAb4ukCUw0=;
 b=KzOhGam7yX0FczCj5tsiJLzBSiZLPY/cl0lIKfedVqi6G47IC2rxXH6WmAPxnKOQYF
 jbNGO5Xp4Y+3LR0ncxaijGG/JVxpHvUwKkusH9R77y4Z7FPnquTlvcbouMaIdG61E35J
 IjIEyZEWL3KwF7jH1mgqYJGauRRn8b9ROedmwUfKxY05LcFR9Yn88naJk8OfnQfcW+SX
 vt6xxJX4GG1CKDC/f/S277D9iveveSC4s10457oCuyOQTZg33dT87+tEA+iWlH/HR0A/
 2Y3pv7MvU8K4sv4X5soh8btG3DoA28YgJt/PSux0r0yQuFJH2nAX2FlFcnUQYFEmDfIE
 QIcw==
X-Gm-Message-State: AFqh2kpM0U048Vjrwnyd/XJu0KwLvyWq6MVXbZJdRsM5izcmaj/XHfae
 uj1964o8lt9L67HBRHKHYzMtdQ==
X-Google-Smtp-Source: AMrXdXvFlL+s5PF1N2726Biu8/hyvzYDlW6a4RWVnBkWTxqqaux1iGAdxV4G4LfkGzCEVpBY491A+Q==
X-Received: by 2002:a05:6871:71f:b0:15f:de61:1390 with SMTP id
 f31-20020a056871071f00b0015fde611390mr21532790oap.16.1675132728782; 
 Mon, 30 Jan 2023 18:38:48 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 l11-20020a4ab2cb000000b004a3527e8279sm5663339ooo.0.2023.01.30.18.38.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Jan 2023 18:38:48 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	 boundary="hJT56gf7Ic"
Content-Transfer-Encoding: 7bit
Message-ID: <25560.32566.881643.236038@HIDDEN>
Date: Mon, 30 Jan 2023 18:38:46 -0800
To: Robert Pluim <rpluim@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 61069 <at> debbugs.gnu.org
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <25560.12582.576156.155902@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN>
 <25560.12582.576156.155902@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


--hJT56gf7Ic
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit

   From: Bob Rogers <rogers@HIDDEN>
   Date: Mon, 30 Jan 2023 13:05:42 -0800

Oops; try this instead (forgot the NEWS item).

					-- Bob


--hJT56gf7Ic
Content-Type: text/x-patch;
	 name="shell-get-old-input-continuation-lines-3.patch"
Content-Description: 
Content-Disposition: inline;
	 filename="shell-get-old-input-continuation-lines-3.patch"
Content-Transfer-Encoding: 7bit

* lisp/shell.el (shell-get-old-input-include-continuation-lines): New
defcustom (default nil).
(shell-get-old-input): Like comint-get-old-input-default but include
all continuation lines if the above is true.
(shell-mode): Install shell-get-old-input.  (bug#61069)
* etc/NEWS: Advertise the new defcustom.

diff --git a/etc/NEWS b/etc/NEWS
index 5b8ab06086c..46f0e8bffca 100644
--- a/etc/NEWS
+++ b/etc/NEWS
@@ -163,6 +163,13 @@ this to your configuration:
 After manually editing 'eshell-aliases-file', you can use this command
 to load the edited aliases.
 
+** Shell Mode
+
++++
+*** New variable 'shell-get-old-input-include-continuation-lines'.
+Users can set this variable to tell shell-get-old-input (C-RET) to
+include multiple shell "\" continuation lines from command output.
+
 ** Prog Mode
 
 +++
diff --git a/lisp/shell.el b/lisp/shell.el
index 5cf108bfa3b..31fb98c0176 100644
--- a/lisp/shell.el
+++ b/lisp/shell.el
@@ -366,6 +366,12 @@ shell-has-auto-cd
   :group 'shell-directories
   :version "28.1")
 
+(defcustom shell-get-old-input-include-continuation-lines nil
+  "Whether shell-get-old-input-default includes \"\\\" lines."
+  :type 'boolean
+  :group 'shell
+  :version "30.1")
+
 (defcustom shell-kill-buffer-on-exit nil
   "Kill a shell buffer after the shell process terminates."
   :type 'boolean
@@ -506,6 +512,38 @@ shell--parse-pcomplete-arguments
           (push (mapconcat #'identity (nreverse arg) "") args)))
       (cons (nreverse args) (nreverse begins)))))
 
+(defun shell-get-old-input ()
+  "Default for `comint-get-old-input' in shell-mode.
+If `comint-use-prompt-regexp' is nil, then either
+return the current input field, if point is on an input field, or the
+current line, if point is on an output field.
+If `comint-use-prompt-regexp' is non-nil, then return
+the current line with any initial string matching the regexp
+`comint-prompt-regexp' removed.  In either case, if
+shell-get-old-input-include-continuation-lines is non-nil and the
+current line ends with a backslash, the next line is also included and
+examined for a backslash, ending with a final line without a backslash."
+  (let (field-prop bof)
+    (if (and (not comint-use-prompt-regexp)
+             ;; Make sure we're in an input rather than output field.
+             (not (setq field-prop (get-char-property
+                                    (setq bof (field-beginning)) 'field))))
+        (field-string-no-properties bof)
+      (comint-bol)
+      (let ((start (point)))
+        (cond ((or comint-use-prompt-regexp
+                   (eq field-prop 'output))
+               (goto-char (line-end-position))
+               (when shell-get-old-input-include-continuation-lines
+                 ;; Include continuation lines as long as the current
+                 ;; line ends with a backslash.
+                 (while (and (not (eobp))
+                             (= (char-before) ?\\))
+                   (goto-char (line-end-position 2)))))
+              (t
+               (goto-char (field-end))))
+        (buffer-substring-no-properties start (point))))))
+
 ;;;###autoload
 (defun split-string-shell-command (string)
   "Split STRING (a shell command) into a list of strings.
@@ -642,6 +680,7 @@ shell-mode
   (setq-local font-lock-defaults '(shell-font-lock-keywords t))
   (setq-local shell-dirstack nil)
   (setq-local shell-last-dir nil)
+  (setq-local comint-get-old-input #'shell-get-old-input)
   ;; People expect Shell mode to keep the last line of output at
   ;; window bottom.
   (setq-local scroll-conservatively 101)

--hJT56gf7Ic--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 30 Jan 2023 21:05:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 16:05:53 2023
Received: from localhost ([127.0.0.1]:50715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMbLd-0006sj-GX
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2023 16:05:53 -0500
Received: from mail-oa1-f52.google.com ([209.85.160.52]:36552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pMbLb-0006sW-Tm
 for 61069 <at> debbugs.gnu.org; Mon, 30 Jan 2023 16:05:52 -0500
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-16346330067so16858881fac.3
 for <61069 <at> debbugs.gnu.org>; Mon, 30 Jan 2023 13:05:51 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=MN9z04Vjqr1+y3RKxjlN3Yigm5kZ8YOlsBBlniOqJe8=;
 b=CONy028KEeJbtu7uYbr2g6fwFXApCPTBGOcT/90V3O3eF93ioT4MBEKCeSfERkd0XO
 eco0D46LrVylg0cNDoBMAGTe8LTye8C2z8FIirfLB5Cj7PfPAYkZgZIBuEt35i7xwzwg
 nF+v4RESNOCNxsDoxiLO5H7yMjq1MKqGk90G1/9vzooNOpCGxV2ymaEsy1IkQeRs9Dwz
 /bjGHm1mh7Gm2sdhnfNowWvGb5uZZnKdxczcuchNgIy2DSxZ4Bucny2LZDFihVKzY35B
 8dCZ5m07EYvButKZMNuJl4G/D3NPvtOYK1D3Zu9qQ4qgxvo4wB4Gecxf+9gK/mJY9/IM
 uIbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=MN9z04Vjqr1+y3RKxjlN3Yigm5kZ8YOlsBBlniOqJe8=;
 b=AKsO9uALcRTJmpIzLbpn055fiCflkmHxkQXDAQb799VmOmln2vIf90fb+E/46wm1pA
 3mM1YGN0jXJgVvOo/5brBy/A9FEYAhmtJklTjzjC4lHyvWcNGZYaZ2gH5PBmOI23vuZK
 w59dQBYRhlP+GoVMwjs19oWuPK8I1P/W3umHfrwWkVCqyEAruN8SAA5sYIsPSk0MoHMG
 wKSHOdSQlZL5j31LSn6ZTyCR7VDHcDA5uPyFDlWrB2olRMPxReoVsrgzDaEil6YOmQet
 4At5FmGmT/npJzcdKEtPQaKPRGi/886XeAbDLi6qAupXuodfBVo31IzSczQDdrPC/DNr
 j4XQ==
X-Gm-Message-State: AFqh2ko/51jN3Z1IxtRJR07MNssKEEvJjhb6YgTMXJuvVoKTQXiUY/z+
 GbTzi3kWNu1+FpyDe9aRrGUp8g==
X-Google-Smtp-Source: AMrXdXtxIpwhAI+oe1wNuffLtA+03Q3qWGhQv/pmpj5hd2002ztPoWoeo/R99ezY2NzpivBKGwQJ+w==
X-Received: by 2002:a05:6870:b419:b0:15f:dbec:7cbe with SMTP id
 x25-20020a056870b41900b0015fdbec7cbemr19394808oap.27.1675112745907; 
 Mon, 30 Jan 2023 13:05:45 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 x30-20020a056870b41e00b0015f84d752ebsm5745589oap.39.2023.01.30.13.05.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Jan 2023 13:05:45 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	 boundary="SIP4buY2UI"
Content-Transfer-Encoding: 7bit
Message-ID: <25560.12582.576156.155902@HIDDEN>
Date: Mon, 30 Jan 2023 13:05:42 -0800
To: Robert Pluim <rpluim@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <87bkmgzaxc.fsf@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
 <87bkmgzaxc.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


--SIP4buY2UI
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit

   From: Robert Pluim <rpluim@HIDDEN>
   Date: Mon, 30 Jan 2023 09:25:19 +0100

   >>>>> On Fri, 27 Jan 2023 19:45:33 -0800, Bob Rogers <rogers@HIDDEN> said:
      Bob> Then the following should fit the bill.  Given that this solution
       Bob> introduces a defcustom, I imagine it should also have a NEWS item as
       Bob> well . . .

   Yes. And a :version on the new defcustom itself.

Right.

       Bob> 					-- Bob

       Bob> * lisp/shell.el (shell-get-old-input-include-continuation-lines): New
       Bob> defcustom (default nil).
       Bob> (shell-get-old-input): Like comint-get-old-input-default but include
       Bob> all continuation lines if the above is true.
       Bob> (shell-mode): Install shell-get-old-input. (bug#61069)

   Two spaces after '.'

Good; I prefer that as well.  (I see I chose a poor example as a commit
log message prototype.)

       Bob> +(defcustom shell-get-old-input-include-continuation-lines nil
       Bob> +  "If non-nil, shell-get-old-input-default includes \"\\\" lines."
       Bob> +  :type 'boolean
       Bob> +  :group 'shell)
       Bob> +

   "Whether `shell-get-old-input-default' includes \"\\\" lines."

Nice; I was wondering how to make that more concise.

       Bob> +(defun shell-get-old-input ()
       Bob> +  . . .
       Bob> +  (let (field-prop bof)
       Bob> +    (if (and (not comint-use-prompt-regexp)
       Bob> +             ;; Make sure we're in an input rather than output field.
       Bob> +             (not (setq field-prop (get-char-property
       Bob> +                                    (setq bof (field-beginning)) 'field))))
       Bob> +	(field-string-no-properties bof)

   Emacs uses spaces only in elisp. We even have a .dir-locals.el
   enforcing that.

   Robert
   -- 

I hadn't noticed that, actually -- either the .dir-locals.el or the
policy.  FWIW, I think both of these tabs are from cutting-and-pasting
from comint.el.

					-- Bob


--SIP4buY2UI
Content-Type: text/x-patch;
	 name="shell-get-old-input-continuation-lines-2.patch"
Content-Description: 
Content-Disposition: inline;
	 filename="shell-get-old-input-continuation-lines-2.patch"
Content-Transfer-Encoding: 7bit

* lisp/shell.el (shell-get-old-input-include-continuation-lines): New
defcustom (default nil).
(shell-get-old-input): Like comint-get-old-input-default but include
all continuation lines if the above is true.
(shell-mode): Install shell-get-old-input.  (bug#61069)

diff --git a/lisp/shell.el b/lisp/shell.el
index 5cf108bfa3b..31fb98c0176 100644
--- a/lisp/shell.el
+++ b/lisp/shell.el
@@ -366,6 +366,12 @@ shell-has-auto-cd
   :group 'shell-directories
   :version "28.1")
 
+(defcustom shell-get-old-input-include-continuation-lines nil
+  "Whether shell-get-old-input-default includes \"\\\" lines."
+  :type 'boolean
+  :group 'shell
+  :version "30.1")
+
 (defcustom shell-kill-buffer-on-exit nil
   "Kill a shell buffer after the shell process terminates."
   :type 'boolean
@@ -506,6 +512,38 @@ shell--parse-pcomplete-arguments
           (push (mapconcat #'identity (nreverse arg) "") args)))
       (cons (nreverse args) (nreverse begins)))))
 
+(defun shell-get-old-input ()
+  "Default for `comint-get-old-input' in shell-mode.
+If `comint-use-prompt-regexp' is nil, then either
+return the current input field, if point is on an input field, or the
+current line, if point is on an output field.
+If `comint-use-prompt-regexp' is non-nil, then return
+the current line with any initial string matching the regexp
+`comint-prompt-regexp' removed.  In either case, if
+shell-get-old-input-include-continuation-lines is non-nil and the
+current line ends with a backslash, the next line is also included and
+examined for a backslash, ending with a final line without a backslash."
+  (let (field-prop bof)
+    (if (and (not comint-use-prompt-regexp)
+             ;; Make sure we're in an input rather than output field.
+             (not (setq field-prop (get-char-property
+                                    (setq bof (field-beginning)) 'field))))
+        (field-string-no-properties bof)
+      (comint-bol)
+      (let ((start (point)))
+        (cond ((or comint-use-prompt-regexp
+                   (eq field-prop 'output))
+               (goto-char (line-end-position))
+               (when shell-get-old-input-include-continuation-lines
+                 ;; Include continuation lines as long as the current
+                 ;; line ends with a backslash.
+                 (while (and (not (eobp))
+                             (= (char-before) ?\\))
+                   (goto-char (line-end-position 2)))))
+              (t
+               (goto-char (field-end))))
+        (buffer-substring-no-properties start (point))))))
+
 ;;;###autoload
 (defun split-string-shell-command (string)
   "Split STRING (a shell command) into a list of strings.
@@ -642,6 +680,7 @@ shell-mode
   (setq-local font-lock-defaults '(shell-font-lock-keywords t))
   (setq-local shell-dirstack nil)
   (setq-local shell-last-dir nil)
+  (setq-local comint-get-old-input #'shell-get-old-input)
   ;; People expect Shell mode to keep the last line of output at
   ;; window bottom.
   (setq-local scroll-conservatively 101)

--SIP4buY2UI--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 30 Jan 2023 08:25:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 03:25:29 2023
Received: from localhost ([127.0.0.1]:46249 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pMPTk-0005dm-RZ
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2023 03:25:29 -0500
Received: from mail-wm1-f46.google.com ([209.85.128.46]:37691)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1pMPTj-0005dV-Jy
 for 61069 <at> debbugs.gnu.org; Mon, 30 Jan 2023 03:25:28 -0500
Received: by mail-wm1-f46.google.com with SMTP id
 bg13-20020a05600c3c8d00b003d9712b29d2so9419357wmb.2
 for <61069 <at> debbugs.gnu.org>; Mon, 30 Jan 2023 00:25:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=gfnkkRjEm4oI8gZnT3w1LzLnMmTBQzqRVMw2pc/eTGY=;
 b=pgWb4YjOgTBK3ZAMAa5VUwh7HxFtdoGRNyaYYbjVQHdtWiEOApBrtyCnplbMXvX5ka
 uNbkgkYArOum/F/C84/6ZOVjT5+sBK48aZkWD7YJQ8SBWCNYMCHfeWDfn07ycUBGMh3+
 O22BIqcEbztpdZflCX3lNbFRupH0MiQldiS0TF8v1fVepSrj9QOQVMmoFQZuXDMxYfE8
 s1xFzX+0dUcNvlCktBeJwO1RX+C7GRw3rS+sWceJqodRqVrZh2HBaZ3brvr/dl3Y7fVa
 TX4IzhWWBDDcxBQtH/pofRYtsPmC20QuP2UuXNThMUri5FjcHmr81TciWoEJ2F4m9k97
 2rSg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=mime-version:message-id:date:references:in-reply-to:subject:cc:to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=gfnkkRjEm4oI8gZnT3w1LzLnMmTBQzqRVMw2pc/eTGY=;
 b=t9pff8o+Iz5IRVWT/mDFx18sk1cmr1Ty7R42kX3uF9ziFH8Wa6E0DCEbhjyxR2bJJN
 Dv4MkvG+9OMLabvDDBDXyKJqf7ljSNx2Cw0dArYy/oI+BRG6+26Dg/1sTGw6pNjgIxTP
 6h7dGj7lBDps9LHeDzzVMpkWIFzCdyZrbRTX5hAMdNmnzmtedMh+1M62zZ8mPqmfdQ95
 m/S5KhC0/tOCpoy/W5xrOKIhQddCAdM417lI5qB+OfX8+tAcIyigQWgBYFZO/0VMEUhI
 +i2GLMCju7O2LE4NzVrT/9T2NGByfxX6db0Gr5dfHJqbN/qLt/BwnkE+7DyALmawf7I/
 gchw==
X-Gm-Message-State: AFqh2kq3oxVyc8XnHkdT5MwHseZqLTkHbgL2399QeOWSuUM9K3yfaxX3
 a6bnQLAFjeAN9e/ONpDVCP39xnp/l8A=
X-Google-Smtp-Source: AMrXdXsJvZlmZJht41jek4OuWeC48ki5CyLqx3ySARbtAMI7eMjGiJr1Vo7PhRDxxZd+4h2enARiHA==
X-Received: by 2002:a05:600c:538c:b0:3cf:6f4d:c259 with SMTP id
 hg12-20020a05600c538c00b003cf6f4dc259mr48498085wmb.39.1675067120851; 
 Mon, 30 Jan 2023 00:25:20 -0800 (PST)
Received: from rltb ([82.66.8.55]) by smtp.gmail.com with ESMTPSA id
 3-20020a05600c248300b003db0ad636d1sm4817331wms.28.2023.01.30.00.25.19
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 30 Jan 2023 00:25:20 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
Subject: Re: bug#61069: 30.0.50; comint-copy-old-input should include
 continuation lines
In-Reply-To: <25556.39517.23330.591366@HIDDEN> (Bob Rogers's message
 of "Fri, 27 Jan 2023 19:45:33 -0800")
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN> <25556.39517.23330.591366@HIDDEN>
Date: Mon, 30 Jan 2023 09:25:19 +0100
Message-ID: <87bkmgzaxc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Fri, 27 Jan 2023 19:45:33 -0800, Bob Rogers <rogers@HIDDEN> said:
   Bob> Then the following should fit the bill.  Given that this solution
    Bob> introduces a defcustom, I imagine it should also have a NEWS item as
    Bob> well . . .

Yes. And a :version on the new defcustom itself.

    Bob> 					-- Bob

    Bob> * lisp/shell.el (shell-get-old-input-include-continuation-lines): New
    Bob> defcustom (default nil).
    Bob> (shell-get-old-input): Like comint-get-old-input-default but include
    Bob> all continuation lines if the above is true.
    Bob> (shell-mode): Install shell-get-old-input. (bug#61069)

Two spaces after '.'

    Bob> +(defcustom shell-get-old-input-include-continuation-lines nil
    Bob> +  "If non-nil, shell-get-old-input-default includes \"\\\" lines."
    Bob> +  :type 'boolean
    Bob> +  :group 'shell)
    Bob> +

"Whether `shell-get-old-input-default' includes \"\\\" lines."

    Bob> +(defun shell-get-old-input ()
    Bob> +  "Default for `comint-get-old-input' in shell-mode.
    Bob> +If `comint-use-prompt-regexp' is nil, then either
    Bob> +return the current input field, if point is on an input field, or the
    Bob> +current line, if point is on an output field.
    Bob> +If `comint-use-prompt-regexp' is non-nil, then return
    Bob> +the current line with any initial string matching the regexp
    Bob> +`comint-prompt-regexp' removed.  In either case, if
    Bob> +shell-get-old-input-include-continuation-lines is non-nil and the
    Bob> +current line ends with a backslash, the next line is also included and
    Bob> +examined for a backslash, ending with a final line without a backslash."
    Bob> +  (let (field-prop bof)
    Bob> +    (if (and (not comint-use-prompt-regexp)
    Bob> +             ;; Make sure we're in an input rather than output field.
    Bob> +             (not (setq field-prop (get-char-property
    Bob> +                                    (setq bof (field-beginning)) 'field))))
    Bob> +	(field-string-no-properties bof)

Emacs uses spaces only in elisp. We even have a .dir-locals.el
enforcing that.

Robert
-- 




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 28 Jan 2023 03:45:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 27 22:45:45 2023
Received: from localhost ([127.0.0.1]:39296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pLc9x-0001E2-9P
	for submit <at> debbugs.gnu.org; Fri, 27 Jan 2023 22:45:45 -0500
Received: from mail-oa1-f52.google.com ([209.85.160.52]:45775)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pLc9t-0001Dl-BS
 for 61069 <at> debbugs.gnu.org; Fri, 27 Jan 2023 22:45:43 -0500
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-15eec491b40so8955297fac.12
 for <61069 <at> debbugs.gnu.org>; Fri, 27 Jan 2023 19:45:41 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=1xwLDI2J99+BMMrb6TRUZzu2jHYWmDqSmuDUqHtL5P4=;
 b=06cu829TdZKD0e0zH0FNfrihE1ZWBPxRgekTBt1WZpNJjL+0Fslv5vnRKGa4fchjyD
 XcyKbJYpJQZaK61a6nvoUahYtLFAThH742apbE/U9Ivu8t3mM6WalVd75Kuhncp4peSt
 bRt5VfR94wqh3n1icFS5qBF4ayn7wz458qE/ExGrqwhwQsz+xLwlwHYDedKyoduGT3YK
 BDDpt14nz2Z5cz8BQ6HeyjHOWJ8hA9rlPLjBBR2/zFDRMJ3k1FuTUeZIgKTv5/Ywqh6x
 Bbx/C2uWYCHPIsxSZ0Ckhg2Tej5aPaJlIIMq9Y79Ty4hsNc7WFYo10a1B9inRnMoHDIO
 vxNw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=1xwLDI2J99+BMMrb6TRUZzu2jHYWmDqSmuDUqHtL5P4=;
 b=duQrzSgZHbFabjJQqnfqMHun8k56N5SrDjtW/AkDBLV5fXlvMcvlIpycvlwiPeYhoB
 8z2hKQsukAeFN7A6qUs0OQjNJfneKi/mIuq5Equz7Er9UOAVCrRWz/nBvcSekA7YnYjE
 pE/ZLI1fv35HozWhRKpvMtcqPNzDo8RJr25uNPVRH0VEwpmcI/I5Wa74394st4tZWZdE
 nbcXBDHQUGgcoIE2weICNYI3K+EerU9Vs0B4BCi2aI0Ghlj04p34SuFYZ7kACZtn7/8B
 TW6ga2BW03DbSIylXzxW8T/SZKrcnsMv7vRpWc430BvY3XchAN6LeojeI2xIpZGVSduX
 MSlA==
X-Gm-Message-State: AO0yUKWs0smjakuj/7XB5VopdZxp0xb8F7juqb7RwB7iRzs/NTjj4suS
 Z79OrEiaRsGPgguH0gFvAyH7tIDNDCTIeMGF
X-Google-Smtp-Source: AK7set9Q+1eR/eQ/gRX29lbei/Ehi7akcVLuz39tnKVsQWjOgrPP9FClh8OKTdjTC4ENBZ7c277FZA==
X-Received: by 2002:a05:6871:894:b0:163:2f1c:eb07 with SMTP id
 r20-20020a056871089400b001632f1ceb07mr7155484oaq.53.1674877535660; 
 Fri, 27 Jan 2023 19:45:35 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 gq11-20020a056870d90b00b001435fe636f2sm2703031oab.53.2023.01.27.19.45.33
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 27 Jan 2023 19:45:34 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	 boundary="NJ250VMaux"
Content-Transfer-Encoding: 7bit
Message-ID: <25556.39517.23330.591366@HIDDEN>
Date: Fri, 27 Jan 2023 19:45:33 -0800
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
In-Reply-To: <83fsbxej3v.fsf@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
 <83fsbxej3v.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


--NJ250VMaux
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Thu, 26 Jan 2023 11:32:52 +0200

   > From: Bob Rogers <rogers@HIDDEN>
   > Date: Thu, 26 Jan 2023 00:38:56 -0800
   > CC: 61069 <at> debbugs.gnu.org
   >
   > . . .
   > 
   >    > My thought is that C-RET on the "./temacs -batch" line in a
   >    > *shell* buffer should take both that line and the next.
   > 
   >    That has to be an optional feature, probably off by default.
   > 
   > As you like.  Should this be a comint thing, or a shell thing?

   The latter, I think.  Comint handles clients that don't necessarily
   use the backslash convention for continuing lines.

Then the following should fit the bill.  Given that this solution
introduces a defcustom, I imagine it should also have a NEWS item as
well . . .

					-- Bob


--NJ250VMaux
Content-Type: application/octet-stream;
	 name="shell-get-old-input-continuation-lines-1.patch"
Content-Description: 
Content-Disposition: attachment;
	 filename="shell-get-old-input-continuation-lines-1.patch"
Content-Transfer-Encoding: base64
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--NJ250VMaux--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 26 Jan 2023 09:32:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 04:32:48 2023
Received: from localhost ([127.0.0.1]:60725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKyci-0000DZ-EI
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2023 04:32:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pKycc-0000DJ-OO
 for 61069 <at> debbugs.gnu.org; Thu, 26 Jan 2023 04:32:46 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKycX-00056s-Fh; Thu, 26 Jan 2023 04:32:37 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=6hufwJ0iE6Tfad89Aqc5FKLSSmMlCMzRxz3TAEz63X8=; b=A0RzWjq/XZmn
 XAE27GutfF1RxkR++s7THv3/qH/kpyxCAPDupG38STb3Zw4ljjEyFKn96YoqXC7+UXVUnMaLuaoRU
 0AJYch9IRHAHgntLMlyJ882cFT3dN7pQjeXLDhTunBHradk8Ph1lZvj1dcyeT58SgC+LOv9rJAyWT
 5rWC/QfKIVSG90BEeC0RdZKSTCLhDTh/N02x1u0ZLNgawvwkzGf+i6hoRTbw4oRT6XJIEWUUPf+s2
 8OxWo4X3n4tmDvnW7euLAkWKducgRCpeNDSQ8HuQuQgjvuCJdxlBkP3IZdP6rzmo+LuzmyAg1/PDH
 JtHHxRBiD5hMUp5rquYE8A==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKycW-0008Es-S5; Thu, 26 Jan 2023 04:32:37 -0500
Date: Thu, 26 Jan 2023 11:32:52 +0200
Message-Id: <83fsbxej3v.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
In-Reply-To: <25554.15392.580428.54160@HIDDEN> (message from Bob
 Rogers on Thu, 26 Jan 2023 00:38:56 -0800)
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN> <25554.15392.580428.54160@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Thu, 26 Jan 2023 00:38:56 -0800
> CC: 61069 <at> debbugs.gnu.org
> 
>    Oh, you mean the backslashes that come from the Makefile itself, like
>    the one after "=pdump"?
> 
> Exactly.
> 
>    > My thought is that C-RET on the "./temacs -batch" line in a *shell*
>    > buffer should take both that line and the next.
> 
>    That has to be an optional feature, probably off by default.
> 
> As you like.  Should this be a comint thing, or a shell thing?

The latter, I think.  Comint handles clients that don't necessarily
use the backslash convention for continuing lines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 26 Jan 2023 08:39:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 03:39:06 2023
Received: from localhost ([127.0.0.1]:60671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKxmk-0007DI-6d
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2023 03:39:06 -0500
Received: from mail-oi1-f172.google.com ([209.85.167.172]:38694)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pKxmi-0007Cm-Dn
 for 61069 <at> debbugs.gnu.org; Thu, 26 Jan 2023 03:39:04 -0500
Received: by mail-oi1-f172.google.com with SMTP id v17so843027oie.5
 for <61069 <at> debbugs.gnu.org>; Thu, 26 Jan 2023 00:39:04 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=h8CQtcvGPZGkf/qh+Bu4tG5xfuhl4ZXzzZaCqwO4e1s=;
 b=P1FGwRFWpRUsnXujD2WXOjoL9aagQLwYDMfNjYQoP2DRHFnooqALl3zqcOoknbKjY6
 Vi6OQgm9L4uTVjZiopZ7VZEFU8+aOlQrxhAqhl6Vw3JOP3NHAq1XbAfloL3wKNahrgCG
 b+5gH4gSAZfC5glx424RxiKa1dgnxiioI7++XyPW5LmWevTRFDgsZNuWnihSPU4UbtD5
 FWPoYCVM2FfQA+Nx/wN2JX4YwLP64bVZJugckbLI56J2vmmf4fUEqJBUXj83S3M0nALv
 Nqj2Y0ouHDWeRygxHAfiQ0up7DWmGhwr+FTmLhjEHuqoN/G0xOpwwLuxM/60R1q0NA2z
 JbEA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=h8CQtcvGPZGkf/qh+Bu4tG5xfuhl4ZXzzZaCqwO4e1s=;
 b=b06YM56jia/COG6EpSKpATemYSv7WVLf8pwrIfscx6lmuj50XKQk2BAyNoed1veJ6p
 3GhM4qSbPKLQlnBItaL4Js66EWfUsKaJLDJWpDqZO5IQXlwV5cagvYqGaEHRGe+LmNyq
 y79LdVDHC9gR55l9NhrsmAlhwOltLC7dK536dbs1BuElROQk8ExHRaeFpvl63LVujil3
 p+kuygqFKIWTcjBwFI55RPS4aMwpoZS4/CcYQJMB+LlGDxeZDGPpaSShwReAVmBxO/Ks
 i/tdnwgt00ch9nXu2jpSqR2NvPqYBU4h7AYvChWgP2U5bC4vffbL7V5AmtCCYRZLtunG
 MM2g==
X-Gm-Message-State: AFqh2krWvL3v+kPuYENiX8hF1Q1iViYSfwZjlxaHMfprZVqEOvXpSD6W
 P3yfBYynP2H3Rffb3nTDpgKlnA==
X-Google-Smtp-Source: AMrXdXtlh2XdE2uw9iKGVliU57L5ykWTrg3P2539n2XjgfnbuM1djuc8AT6aPJ0nxLRU8ZqzHjVxUQ==
X-Received: by 2002:a05:6808:2217:b0:364:5bef:87a5 with SMTP id
 bd23-20020a056808221700b003645bef87a5mr23523716oib.26.1674722338725; 
 Thu, 26 Jan 2023 00:38:58 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 bf15-20020a056808190f00b0036508145326sm189509oib.9.2023.01.26.00.38.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 26 Jan 2023 00:38:58 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <25554.15392.580428.54160@HIDDEN>
Date: Thu, 26 Jan 2023 00:38:56 -0800
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
In-Reply-To: <83o7qlemta.fsf@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
 <25554.11478.609268.317183@HIDDEN>
 <83o7qlemta.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Thu, 26 Jan 2023 10:12:49 +0200

   > From: Bob Rogers <rogers@HIDDEN>
   > Date: Wed, 25 Jan 2023 23:33:42 -0800
   > Cc: 61069 <at> debbugs.gnu.org

   > Here's an example from building emacs:
   > 
   > 	. . .
   > 	rm -f emacs && cp -f temacs emacs
   > 	LC_ALL=C ./temacs -batch  -l loadup --temacs=pdump \
   > 		--bin-dest /usr/local/bin/ --eln-dest /usr/local/lib64/emacs/30.0.50/
   > 	Loading loadup.el (source)...
   > 	Dump mode: pdump
   > 	. . .

   Oh, you mean the backslashes that come from the Makefile itself, like
   the one after "=pdump"?

Exactly.

   > My thought is that C-RET on the "./temacs -batch" line in a *shell*
   > buffer should take both that line and the next.

   That has to be an optional feature, probably off by default.

As you like.  Should this be a comint thing, or a shell thing?

					-- Bob




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 26 Jan 2023 08:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 03:12:41 2023
Received: from localhost ([127.0.0.1]:60597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKxNA-0006R4-VH
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2023 03:12:41 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38220)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pKxN9-0006Qr-Ci
 for 61069 <at> debbugs.gnu.org; Thu, 26 Jan 2023 03:12:39 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKxN3-0004eb-JJ; Thu, 26 Jan 2023 03:12:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=KnV2XRMN4vpGvE3g3dKID0TMwO2036r4RREkYyhFh1k=; b=KPnkaUrG2fLU
 lA6m90+Nv9RFOMLQ94HgEGr16dIDR4jaVBG3PUTmdGlE+HKMW+pVnjevR9g5PYurO8rEjOZ1WZ+uw
 4sM2dbA2GlKklIJc47jovq7M1jbZ6/gO1y+7e8r8rkiFhCch/stIm1ox3QemiyhvdhtXX4VF16r8g
 708kvrdhL22FyWn16pGMFXrRPNnddEjF0h3BJVpi0zBa4UNgiLyNzxg8nHgS0fBDlfN9qlUIDj/fp
 76OZYvFRxDEJgExJ8UYOK2tcRhN4ueg8Y0HrjtcNdHXOhp3e9h5jnVIg5T1dpLyNPDAxR8uh7ZDpa
 TPCBo+VxKufTx1fdgm0lkw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKxN3-0005uc-3L; Thu, 26 Jan 2023 03:12:33 -0500
Date: Thu, 26 Jan 2023 10:12:49 +0200
Message-Id: <83o7qlemta.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
In-Reply-To: <25554.11478.609268.317183@HIDDEN> (message from Bob
 Rogers on Wed, 25 Jan 2023 23:33:42 -0800)
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN> <25554.11478.609268.317183@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Wed, 25 Jan 2023 23:33:42 -0800
> Cc: 61069 <at> debbugs.gnu.org
> 
>    Or maybe I don't understand what is this "backslash" business is
>    about?  AFAICT, the "backslashes" shown for long lines of Make output
>    are those produced by the Emacs display, not by the shell, so the code
>    you want to change should already take care of that.
> 
>    What am I missing?  Could you please show an example of "long Make
>    output" where the current code doesn't DTRT, so we'd be on the same
>    page wrt the problem?
> 
>    Thanks.
> 
> Here's an example from building emacs:
> 
> 	. . .
> 	rm -f emacs && cp -f temacs emacs
> 	LC_ALL=C ./temacs -batch  -l loadup --temacs=pdump \
> 		--bin-dest /usr/local/bin/ --eln-dest /usr/local/lib64/emacs/30.0.50/
> 	Loading loadup.el (source)...
> 	Dump mode: pdump
> 	. . .

Oh, you mean the backslashes that come from the Makefile itself, like
the one after "=pdump"?

> My thought is that C-RET on the "./temacs -batch" line in a *shell*
> buffer should take both that line and the next.

That has to be an optional feature, probably off by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 26 Jan 2023 07:33:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 02:33:53 2023
Received: from localhost ([127.0.0.1]:60500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKwld-0005Ip-2j
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2023 02:33:53 -0500
Received: from mail-oa1-f52.google.com ([209.85.160.52]:46770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pKwla-0005Ic-Hr
 for 61069 <at> debbugs.gnu.org; Thu, 26 Jan 2023 02:33:52 -0500
Received: by mail-oa1-f52.google.com with SMTP id
 586e51a60fabf-15f97c478a8so1395537fac.13
 for <61069 <at> debbugs.gnu.org>; Wed, 25 Jan 2023 23:33:50 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=FHz0OEyj1UWrve0Zxi1iOSipjvf3S1XwqHgOHmknmqE=;
 b=1vYZ0BZFPn32E+aLxnGZ2Vew4kgzjoUQfWPazXSnqEJDGjd1OKod93I+AUKQC7LDHd
 B0lD/G6bGdsuWROXOg/MKobqwRiYe5aAFgYYTdiN16hOSzknYLeHagbBmYZnaxkBLvWV
 YDgVGsRz37zg19Nvmr4Clh6qH3DCF3ir067KPQj4iUeJZ2nFMTZyj/qRlaE6tZrlYWxN
 TKeKNxVmt25zwWXo8uoTHYbFiSV/FVsNq4jF2TTFN1pWbl5WsXLsXw5XWdVsA/vWBhyu
 ay2ZZpcg9i8qGG1Xf0tnw9EnYyBAA4qA20q+s4gR0S634qw3NzUZoGCL8CQaZtygE/qV
 ZpYg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=references:in-reply-to:subject:cc:to:date:message-id
 :content-transfer-encoding:mime-version:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=FHz0OEyj1UWrve0Zxi1iOSipjvf3S1XwqHgOHmknmqE=;
 b=BpE8V1LE4DVD8hvR/Oo7e5ZOH8ozaLBKHWHKSZ5ov9yYzmogwLprxXcWwGFSYh8NHm
 d+lZYQ/WmAn8/IRn9o28u/VN5S/bR/0MPoCr/B8ewELLIFS8MJzy2yDseI1BNmqek80a
 F6j3J6u8obeTxOgd+EoCasSpOVbwcxRl21qZa69jpQCrtot10UIoB1ZY+70MX74niBT5
 gvCyuUMtgsJIQVDXB2aBRxQDPsW8kqeuLBUg5BX6Pxb+KYdlAyVIhNlhZUeI3Z9gc/gI
 N3H5CG2UrMOZKRWpOTsgwCSJnPaW2hpD0ga7gypwEmCBMXpebfngWmNL1Kh7mXnjH4Dk
 kxAw==
X-Gm-Message-State: AFqh2kqBAm2ByMqWaXEgZMV5vU/uveokw8jQXbST7F0kS+22jAp21Qzd
 fb81rT6uIb9yc6sl8sf/iAo4XovOkf1w0V3q
X-Google-Smtp-Source: AMrXdXsNVgcJf5ZRYmkMuuxIAvmaMf8P9uXkbRLQ0BfaLmOn/jDC4lpCR2P1gUOEoKEzW9vadBIGdA==
X-Received: by 2002:a05:6870:17a8:b0:15f:dbf0:20e8 with SMTP id
 r40-20020a05687017a800b0015fdbf020e8mr11197621oae.43.1674718424851; 
 Wed, 25 Jan 2023 23:33:44 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 n16-20020a9d7110000000b00670523bf1cfsm181151otj.47.2023.01.25.23.33.43
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 Jan 2023 23:33:44 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <25554.11478.609268.317183@HIDDEN>
Date: Wed, 25 Jan 2023 23:33:42 -0800
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
In-Reply-To: <834jsdg4jh.fsf@HIDDEN>
References: <25553.55974.767552.842578@HIDDEN>
 <834jsdg4jh.fsf@HIDDEN>
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

   From: Eli Zaretskii <eliz@HIDDEN>
   Date: Thu, 26 Jan 2023 09:04:34 +0200

   > From: Bob Rogers <rogers@HIDDEN>
   > Date: Wed, 25 Jan 2023 17:43:02 -0800
   > 
   >    In a shell-mode buffer with lots of "make" output, there will often
   > appear commands with continuation lines.  To use them as new input
   > (e.g. while debugging some bit of makefile logic) requires either
   > marking and copying multiple lines, or multiple invocations of
   > comint-copy-old-input (C-RET in shell-mode) to get the complete command.
   > The attached patch against f0971f94fe42224b4d85bb8b6188d5d805689ddf in
   > master includes those continuation lines, which seems like a desirable
   > bit of dwimmery.  However, I may have misunderstood the purpose of the
   > line-end-position vs. field-end thing.  Also, this assumes shell syntax,
   > so it may be more appropriate to leave comint-get-old-input-default
   > alone and give shell-mode its own shell-get-old-input-default function.

   I don't understand: line-end-position already reports the entire line,
   including continuation lines.  So could you explain the problem with
   the current code in more detail, please?

I'm speaking of shell continuation lines, where a command is broken
across multiple physical lines with backslashes.  Perhaps you think I am
referring to display line wrapping; is where we are miscommunicating?

   > +               ;; Include continuation lines as long as the current
   > +               ;; line ends with a backslash.
   > +               (while (and (not (eobp))
   > +                           (= (char-before) ?\\))
   > +                 (goto-char (line-end-position 2))))

   Or maybe I don't understand what is this "backslash" business is
   about?  AFAICT, the "backslashes" shown for long lines of Make output
   are those produced by the Emacs display, not by the shell, so the code
   you want to change should already take care of that.

   What am I missing?  Could you please show an example of "long Make
   output" where the current code doesn't DTRT, so we'd be on the same
   page wrt the problem?

   Thanks.

Here's an example from building emacs:

	. . .
	rm -f emacs && cp -f temacs emacs
	LC_ALL=C ./temacs -batch  -l loadup --temacs=pdump \
		--bin-dest /usr/local/bin/ --eln-dest /usr/local/lib64/emacs/30.0.50/
	Loading loadup.el (source)...
	Dump mode: pdump
	. . .

My thought is that C-RET on the "./temacs -batch" line in a *shell*
buffer should take both that line and the next.

					-- Bob




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at 61069 <at> debbugs.gnu.org:


Received: (at 61069) by debbugs.gnu.org; 26 Jan 2023 07:04:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 26 02:04:29 2023
Received: from localhost ([127.0.0.1]:60472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKwJA-0004Zy-KU
	for submit <at> debbugs.gnu.org; Thu, 26 Jan 2023 02:04:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54648)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pKwJ7-0004Zg-MY
 for 61069 <at> debbugs.gnu.org; Thu, 26 Jan 2023 02:04:26 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKwJ2-000855-6B; Thu, 26 Jan 2023 02:04:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=p+WBcKJrTT40DGPss6+KT3vPGp2kyxkvUfKU5Sa+awM=; b=GaJcriUV2SkJ
 +rZu1GyQh3/3QfEad9OSQX22fEhVfSJ1ZY3efGgHWXlIo4sacBo6HeEpc+ByAdOBm4aYTUX2HqwaO
 5QVgpI8edWK/MyzltYm61evISgyaky9CYu8/9u1tzo8+s5A7OMGEAy3r9ZZNqJZqFbVr67i/E+7XH
 shWvSl1r8V7UcbhXoxlC8HzGGg3Gf7J/bejug5soFrm80RGmYez5pdt81k3ClLQ7+y3kcZs6lS6u8
 5cB89Bb+n+1mEPFQqjBbRdeF6Js4akS+zJmsFvulNL8/gq1bptsi0jdcLgiBmDoGqaekV34CSFIKV
 68M7zA2jc4asnSxN2YtdRg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pKwJ1-00055v-Jk; Thu, 26 Jan 2023 02:04:19 -0500
Date: Thu, 26 Jan 2023 09:04:34 +0200
Message-Id: <834jsdg4jh.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Bob Rogers <rogers@HIDDEN>
In-Reply-To: <25553.55974.767552.842578@HIDDEN> (message from Bob
 Rogers on Wed, 25 Jan 2023 17:43:02 -0800)
Subject: Re: bug#61069: 30.0.50;
 comint-copy-old-input should include continuation lines
References: <25553.55974.767552.842578@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 61069
Cc: 61069 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Bob Rogers <rogers@HIDDEN>
> Date: Wed, 25 Jan 2023 17:43:02 -0800
> 
>    In a shell-mode buffer with lots of "make" output, there will often
> appear commands with continuation lines.  To use them as new input
> (e.g. while debugging some bit of makefile logic) requires either
> marking and copying multiple lines, or multiple invocations of
> comint-copy-old-input (C-RET in shell-mode) to get the complete command.
> The attached patch against f0971f94fe42224b4d85bb8b6188d5d805689ddf in
> master includes those continuation lines, which seems like a desirable
> bit of dwimmery.  However, I may have misunderstood the purpose of the
> line-end-position vs. field-end thing.  Also, this assumes shell syntax,
> so it may be more appropriate to leave comint-get-old-input-default
> alone and give shell-mode its own shell-get-old-input-default function.

I don't understand: line-end-position already reports the entire line,
including continuation lines.  So could you explain the problem with
the current code in more detail, please?

> +               ;; Include continuation lines as long as the current
> +               ;; line ends with a backslash.
> +               (while (and (not (eobp))
> +                           (= (char-before) ?\\))
> +                 (goto-char (line-end-position 2))))

Or maybe I don't understand what is this "backslash" business is
about?  AFAICT, the "backslashes" shown for long lines of Make output
are those produced by the Emacs display, not by the shell, so the code
you want to change should already take care of that.

What am I missing?  Could you please show an example of "long Make
output" where the current code doesn't DTRT, so we'd be on the same
page wrt the problem?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Jan 2023 01:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 25 20:43:17 2023
Received: from localhost ([127.0.0.1]:60286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pKrIK-0004HX-MY
	for submit <at> debbugs.gnu.org; Wed, 25 Jan 2023 20:43:17 -0500
Received: from lists.gnu.org ([209.51.188.17]:35900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rogers@HIDDEN>) id 1pKrIG-0004HO-Ly
 for submit <at> debbugs.gnu.org; Wed, 25 Jan 2023 20:43:15 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rogers@HIDDEN>) id 1pKrIF-00088G-Pu
 for bug-gnu-emacs@HIDDEN; Wed, 25 Jan 2023 20:43:11 -0500
Received: from mail-ot1-x333.google.com ([2607:f8b0:4864:20::333])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <rogers@HIDDEN>) id 1pKrID-0000TV-PP
 for bug-gnu-emacs@HIDDEN; Wed, 25 Jan 2023 20:43:11 -0500
Received: by mail-ot1-x333.google.com with SMTP id
 n24-20020a0568301e9800b006865671a9d5so289647otr.6
 for <bug-gnu-emacs@HIDDEN>; Wed, 25 Jan 2023 17:43:06 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=rgrjr-com.20210112.gappssmtp.com; s=20210112;
 h=subject:to:date:message-id:content-transfer-encoding:mime-version
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=yLRTEtUZlLtspQ413RXmT5TCoNCpEEJuFcKIO8GHKg8=;
 b=aqfq7JhIbQls7onEVCKqttd0Yo8s6HZHw8pXQLvWS+HhD3T0ORWzQrWDHLKcpMJiEU
 j9IPhqao77tGi/zvqX9+sEHzsfSowBMaEhw0F8IHXzpiKzF7sXFue86jzYGTDX5IldCk
 PPiUdPBslsQUEfD9NIF3WjF2VrItSQ6hzdjQ7adIalIlXDm1bhhRCXUSVIYBvqrBnh33
 Speo5MoDa9gKo6xpLtlgnFa/dorAn/FhVUENzvfIqYRUa//Gw+dK3LFCZLrZrov1seVJ
 7uYJp4JqFGu4YOKofpvAmfXy0RGjjkFZRBCAKzTWDUSysC4SZ96XxyCBjn3GC6RyRmMT
 8JbA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=subject:to:date:message-id:content-transfer-encoding:mime-version
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=yLRTEtUZlLtspQ413RXmT5TCoNCpEEJuFcKIO8GHKg8=;
 b=iSwqeBHT4Hkck3rMHQaRPyDwitQzS6OcV79boi5VpEQ+ogqa+SNlAZsZmYqaegDFSs
 CHiyljc55HKNeq69QKOElm2/ESHR6HJBPd0kEUiEjuKL0bWo4hUDyuCesSHQ00YtclUB
 2OsLm5/v8Wp4YKOl/LJiQh/TQkMqOaxUOyi8v2ivMWRYPjydGH/rzMh2NQ1P2dC955IZ
 NFd9+HfO5klw3tguPv3kYe2SyB/q5+f4u6vZCHSF5eFh1WFc2YLHF5zWYh1nRfIsDGw/
 Wj9PwWcupn7WXhBRA1qUd8qGSNQqFzqfcFJv69a9pgpp0QJaQC3hGvGGqvjDd2DxH56p
 LkWg==
X-Gm-Message-State: AO0yUKWewFY6ydyrMV0j1HZonyw4tBbwypIeEwx22Qw1eilb8NYxek9K
 3u05yxLmh4jZI3e5ioLmNyBmUUChDSHQmnd8
X-Google-Smtp-Source: AK7set/k0T+JpQE9X4dsothKlQ+0aRXOb6u644O3bPQUFqGJNftiWPtpjXQxCLJ1uXId6vSyp9Dezw==
X-Received: by 2002:a05:6830:699a:b0:686:3a39:e75b with SMTP id
 cy26-20020a056830699a00b006863a39e75bmr296949otb.8.1674697385008; 
 Wed, 25 Jan 2023 17:43:05 -0800 (PST)
Received: from orion.rgrjr.com ([2600:1700:7c2c:e000::24])
 by smtp.gmail.com with ESMTPSA id
 g94-20020a9d12e7000000b0068663820588sm2904926otg.44.2023.01.25.17.43.03
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 25 Jan 2023 17:43:04 -0800 (PST)
From: Bob Rogers <rogers@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed;
	 boundary="rWOuObHGVV"
Content-Transfer-Encoding: 7bit
Message-ID: <25553.55974.767552.842578@HIDDEN>
Date: Wed, 25 Jan 2023 17:43:02 -0800
To: bug-gnu-emacs@HIDDEN
Subject: 30.0.50; comint-copy-old-input should include continuation lines
X-Mailer: VM 8.2.0b under 30.0.50 (x86_64-pc-linux-gnu)
Received-SPF: none client-ip=2607:f8b0:4864:20::333;
 envelope-from=rogers@HIDDEN; helo=mail-ot1-x333.google.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_NONE=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)


--rWOuObHGVV
Content-Type: text/plain; charset=us-ascii
Content-Description: message body text
Content-Transfer-Encoding: 7bit

   In a shell-mode buffer with lots of "make" output, there will often
appear commands with continuation lines.  To use them as new input
(e.g. while debugging some bit of makefile logic) requires either
marking and copying multiple lines, or multiple invocations of
comint-copy-old-input (C-RET in shell-mode) to get the complete command.
The attached patch against f0971f94fe42224b4d85bb8b6188d5d805689ddf in
master includes those continuation lines, which seems like a desirable
bit of dwimmery.  However, I may have misunderstood the purpose of the
line-end-position vs. field-end thing.  Also, this assumes shell syntax,
so it may be more appropriate to leave comint-get-old-input-default
alone and give shell-mode its own shell-get-old-input-default function.

					-- Bob Rogers
					   http://www.rgrjr.com/


--rWOuObHGVV
Content-Type: text/x-patch;
	 name="comint-get-old-input-default-continuation-lines-1.patch"
Content-Description: 
Content-Disposition: inline;
	 filename="comint-get-old-input-default-continuation-lines-1.patch"
Content-Transfer-Encoding: 7bit

diff --git a/lisp/comint.el b/lisp/comint.el
index c5589324a14..89c35149022 100644
--- a/lisp/comint.el
+++ b/lisp/comint.el
@@ -2377,7 +2377,7 @@ comint-get-old-input-default
   "Default for `comint-get-old-input'.
 If `comint-use-prompt-regexp' is nil, then either
 return the current input field, if point is on an input field, or the
-current line, if point is on an output field.
+current line, with continuation lines, if point is on an output field.
 If `comint-use-prompt-regexp' is non-nil, then return
 the current line with any initial string matching the regexp
 `comint-prompt-regexp' removed."
@@ -2388,11 +2388,18 @@ comint-get-old-input-default
                                     (setq bof (field-beginning)) 'field))))
 	(field-string-no-properties bof)
       (comint-bol)
-      (buffer-substring-no-properties (point)
-                                      (if (or comint-use-prompt-regexp
-                                              (eq field-prop 'output))
-					  (line-end-position)
-					(field-end))))))
+      (let ((start (point)))
+        (cond ((or comint-use-prompt-regexp
+                   (eq field-prop 'output))
+               (goto-char (line-end-position))
+               ;; Include continuation lines as long as the current
+               ;; line ends with a backslash.
+               (while (and (not (eobp))
+                           (= (char-before) ?\\))
+                 (goto-char (line-end-position 2))))
+              (t
+	       (goto-char (field-end))))
+        (buffer-substring-no-properties start (point))))))
 
 (defun comint-copy-old-input ()
   "Insert after prompt old input at point as new input to be edited.

--rWOuObHGVV--




Acknowledgement sent to Bob Rogers <rogers@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#61069; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Mar 2023 13:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.